global:
  registry: docker.io
  repository: freeleaps
  nodeSelector: {}
frontend:
  replicas: 1
  image:
    registry: docker.io
    repository: null
    name: frontend
    tag: snapshot-a10c0f6
    imagePullPolicy: IfNotPresent
  ports:
  - name: http
    containerPort: 8080
    protocol: TCP
  resources:
    requests:
      cpu: '50m'
      memory: 32Mi
    limits:
      cpu: '100m'
      memory: 64Mi
  probes: {}
  services:
  - name: frontend-service
    type: ClusterIP
    port: 8080
    targetPort: 8080
  ingresses:
  - name: frontend-ingress
    host: alpha.freeleaps.mathmast.com
    class: nginx
    rules:
    - path: /
      pathType: Prefix
      backend:
        service:
          name: frontend-service
          port:
            number: 8080
    tls:
      exists: false
      issuerRef:
        name: mathmast-dot-com
        kind: ClusterIssuer
      name: alpha.freeleaps.mathmast.com-cert
  configs:
    tz: UTC
    frontendPort: 8080
    freeleapsChatEndpoint: http://chat-service.freeleaps-alpha.svc.freeleaps.cluster:8012
    freeleapsBackendEndpoint: http://freeleaps-service.freeleaps-alpha.svc.freeleaps.cluster:8001
